﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Win32;

namespace TweakAPI.Info
{
    /// <summary>
    /// Provides information about the registered file extensions.
    /// </summary>
    public static class FileExtensions
    {
        /// <summary>
        /// Returns a <see cref="string"/>-Array containing the registered file types.
        /// </summary>
        public static string[] EnumerateFileExt()
        {
            List<string> filetypes = new List<string>();
            foreach (string itm in Registry.ClassesRoot.GetSubKeyNames())
            {
                if (itm.StartsWith("."))
                {
                    filetypes.Add(itm);
                }
            }
            return filetypes.ToArray();
        }
    }
}
